#include <bits/stdc++.h>
using namespace std;
int proizvod(int i)
{
    int a = 1;
    while (i > 0)
    {
        if (i % 10 == 0)
        {
            a = 0;
            break;
        }
        a *= i%10;
        i = i / 10;
    }
    return a;
}
int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    int t;
    cin >> t;
    while(t--)
    {
        int n;
        cin >> n;
        set<int> brojac;
        for (int i = 1; i <= n; i++)
        {
            int s = proizvod(i);
            brojac.insert(s);
        }
        cout << brojac.size() << "\n";
    }
    return 0;
}